## GcalYearView GcalYearView |

## Functions

void | gcal_year_view_set_first_weekday ()
void | gcal_year_view_set_use_24h_format ()
void | gcal_year_view_set_current_date ()

## Properties

gboolean | show-week-numbers | Read / Write

## Signals

void | event-activated | Run Last

## Types and Values

#define | GCAL_TYPE_YEAR_VIEW
| GcalYearView

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GcalYearView

## Implemented Interfaces

GcalYearView implements AtkImplementorIface, GtkBuildable, GtkOrientable and GcalView.

## Description

## Functions

### gcal_year_view_set_first_weekday ()

    void
    gcal_year_view_set_first_weekday (GcalYearView *year_view,
                                      gint nr_day);

### gcal_year_view_set_use_24h_format ()

    void
    gcal_year_view_set_use_24h_format (GcalYearView *year_view,
                                       gboolean use_24h_format);

### gcal_year_view_set_current_date ()

    void
    gcal_year_view_set_current_date (GcalYearView *year_view,
                                     icaltimetype *current_date);

## Types and Values

### GCAL_TYPE_YEAR_VIEW

    #define GCAL_TYPE_YEAR_VIEW            (gcal_year_view_get_type())

### GcalYearView

    typedef struct _GcalYearView GcalYearView;

## Property Details

### The `“show-week-numbers”` property

      “show-week-numbers”        gboolean

Show Week Numbers Column.

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“event-activated”` signal

    void
    user_function (GcalYearView    *gcalyearview,
                   GcalEventWidget *arg1,
                   gpointer         user_data)

Flags: Run Last